.hamburger-button {
  z-index: 101;
  cursor: pointer;
  flex-flow: column;
  justify-content: space-between;
  align-items: center;
  width: 28px;
  height: 20px;
  display: flex;
  position: relative;
}

.hamburger-line-top, .hamburger-line-middle, .hamburger-line-bottom {
  background-color: #333;
  border-radius: 1px;
  width: 100%;
  height: 2px;
  transition: transform .3s;
}

.hero {
  z-index: 1;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  width: 100vw;
  height: 100vh;
  font-family: Lato, sans-serif;
  display: flex;
  position: relative;
}

.body {
  background-color: #fafafa;
}

.nav {
  z-index: 100;
  background-color: #fafafa;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  width: 100vw;
  height: 100vh;
  display: flex;
  position: fixed;
  inset: 0%;
}

.header {
  z-index: 1000;
  border-bottom: 1px solid #333;
  justify-content: space-between;
  align-items: center;
  width: 25vw;
  height: 32px;
  margin-bottom: 24px;
  padding-bottom: 12px;
  padding-left: 0;
  padding-right: 0;
  display: flex;
  position: relative;
  inset: 0% 0% auto;
}

.logo-link {
  z-index: 101;
  height: 24px;
  position: relative;
}

.image {
  height: 14px;
}

.nav-wrapper {
  grid-column-gap: 2rem;
  grid-row-gap: 2rem;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  font-family: Lato, sans-serif;
  display: flex;
}

.text-block {
  letter-spacing: .1rem;
  font-family: Lato, sans-serif;
  font-weight: 400;
  text-decoration: none;
}

.link-block {
  color: #333;
  font-family: Times New Roman, TimesNewRoman, Times, Baskerville, Georgia, serif;
  text-decoration: none;
}

.link-block.profile {
  width: auto;
  height: auto;
}

.div-block {
  background-color: #9bbbcc;
  width: 500px;
  height: 500px;
}

.hero-image {
  width: 25vw;
  height: 25vw;
}

.image-2 {
  width: 100%;
}

.profile {
  width: 25vw;
  height: 25vw;
}

.name {
  text-align: left;
  letter-spacing: .1rem;
  font-family: Lato, sans-serif;
  font-size: 1rem;
  line-height: 1.5rem;
}

.prof-text {
  text-align: left;
  letter-spacing: .1rem;
  font-family: Zen Kaku Gothic New, sans-serif;
  font-size: .8rem;
  font-weight: 400;
  line-height: 1.5rem;
}

.profile-copy {
  width: 25vw;
  height: 25vw;
}

.contact-wrap {
  justify-content: center;
  align-items: center;
  width: 25vw;
  height: 25vw;
  display: flex;
}

.name-wrap {
  flex-flow: column;
  justify-content: flex-start;
  align-items: flex-start;
  width: 25vw;
  height: 25vw;
  display: flex;
}

.prof-name {
  text-align: left;
  letter-spacing: .1rem;
  font-family: Zen Kaku Gothic New, sans-serif;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5rem;
}

.hero-shutter {
  z-index: 2000;
  background-color: #fafafacc;
  width: 100vw;
  height: 100vh;
  display: flex;
  position: absolute;
}

.works-wrap {
  grid-column-gap: 1vw;
  grid-row-gap: 1vw;
  flex-flow: column;
  justify-content: flex-start;
  align-items: flex-start;
  width: 25vw;
  height: auto;
  display: flex;
}

.works-web {
  width: 100%;
  height: auto;
  display: flex;
}

.image-3 {
  aspect-ratio: 1;
  object-fit: cover;
  border-radius: 10px;
  width: 100%;
}

.works-banner {
  width: 12vw;
  height: 100%;
}

.web-image {
  aspect-ratio: auto;
  object-fit: cover;
  border-radius: 10px;
  width: 100%;
  height: 100%;
}

.banner-wrapper {
  justify-content: space-between;
  width: 100%;
  height: 33%;
  display: flex;
}

.works-content {
  color: #333;
  border-bottom: 1px solid #333;
  justify-content: space-between;
  width: 100%;
  height: auto;
  margin-bottom: 8px;
  padding-top: 4px;
  padding-bottom: 12px;
  text-decoration: none;
  display: flex;
}

.works-number {
  margin-right: 20px;
}

.text-block-2 {
  font-size: 16px;
  font-weight: 300;
}

.work-text {
  display: flex;
}

.work-button {
  justify-content: flex-end;
  width: 20px;
  height: 20px;
  display: flex;
}

.text-block-3 {
  font-size: 20px;
  font-weight: 300;
}

.text-block-4, .text-block-5, .text-block-6, .text-block-7, .text-block-8 {
  font-weight: 300;
}

.swiper.swiper-panorama {
  width: 100%;
  height: 50vh;
}

.swiper-wrapper {
  grid-column-gap: 0rem;
  grid-row-gap: 0rem;
  width: 100%;
  height: 100%;
  display: flex;
}

.swiper-slide {
  aspect-ratio: 9 / 16;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  display: flex;
  position: relative;
}

.slide-image {
  aspect-ratio: 9 / 16;
  object-fit: cover;
  width: 100%;
  height: auto;
  position: relative;
}

.swipe-hero._05 {
  flex-flow: column;
  justify-content: flex-start;
  align-items: center;
  width: 100vw;
  height: 100vh;
  display: flex;
  overflow: hidden;
}

.swipe-hero._01, .swipe-hero._02 {
  flex-flow: column;
  width: 100vw;
  height: 100vh;
  display: flex;
  position: relative;
  overflow: hidden;
}

.body-2 {
  background-color: #fff;
}

.swiper-link {
  flex-flow: column;
  align-items: center;
  height: auto;
  padding-top: 5vh;
  display: flex;
}

.swiper-explanaition {
  justify-content: flex-start;
  align-items: center;
  width: 25vw;
  height: auto;
  display: flex;
}

.carousel-swiper {
  width: 100%;
  height: 70vh;
  padding-top: 2rem;
  overflow: hidden;
}

.carousel-swiper.swiper-panorama {
  width: 100%;
  height: 50vh;
}

.carousel-wrapper {
  grid-column-gap: 0rem;
  grid-row-gap: 0rem;
  width: 100%;
  height: 100%;
  display: flex;
}

.carousel-slide {
  aspect-ratio: auto;
  background-color: #000;
  border-radius: 8px;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  width: 60%;
  height: 100%;
  display: flex;
  position: relative;
}

.carousel-bg-image {
  aspect-ratio: auto;
  object-fit: cover;
  width: 100%;
  height: 100%;
  position: absolute;
}

.carousel-content {
  z-index: 1000;
  flex-flow: column;
  justify-content: flex-end;
  align-items: center;
  width: 100%;
  height: 100%;
  padding-bottom: 1rem;
  display: flex;
  position: absolute;
}

.carousel-text {
  color: #fff;
  text-align: center;
  margin-bottom: 0;
  font-family: Lato, sans-serif;
  font-size: 20px;
  line-height: 24px;
}

.carousel-text.taste {
  font-family: Lato, sans-serif;
  font-size: 12px;
}

.panorama-05 {
  height: 50vh;
}

.panorama-05-slide {
  flex-shrink: 0;
  width: auto;
  height: 100%;
}

.swiper-slide-copy {
  aspect-ratio: 9 / 16;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  display: flex;
  position: relative;
}

.carousel-01-wrapper {
  display: flex;
}

.carousel-01-slide {
  aspect-ratio: auto;
  object-fit: cover;
  width: auto;
  height: 100%;
  position: relative;
  overflow: hidden;
}

.carousel-01-image {
  aspect-ratio: auto;
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.shadow {
  z-index: 200;
  opacity: 1;
  -webkit-text-fill-color: inherit;
  background-image: linear-gradient(#0000 60%, #00000080);
  background-clip: border-box;
  width: 100%;
  height: 100%;
  position: absolute;
}

.carousel-03-wrapper {
  display: flex;
}

.carousel-03-slide {
  aspect-ratio: auto;
  object-fit: cover;
  width: auto;
  height: 100%;
  position: relative;
  overflow: hidden;
}

.carousel-03-image {
  aspect-ratio: auto;
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.carousel-02 {
  width: 100vw;
  height: 60vh;
  overflow: hidden;
}

.carousel-02-wrapper {
  display: flex;
}

.carousel-02-slide {
  aspect-ratio: 3 / 2;
  object-fit: cover;
  aspect-ratio: 3 / 2;
  object-fit: cover;
  width: auto;
  height: 100%;
  position: relative;
  overflow: hidden;
}

.carousel-02-image {
  aspect-ratio: 3 / 2;
  object-fit: cover;
  width: 100%;
  max-width: none;
  height: 100%;
}

@media screen and (min-width: 1280px) {
  .carousel-02-slide {
    aspect-ratio: auto;
    flex-shrink: 0;
    width: auto;
    height: auto;
    overflow: visible;
  }

  .carousel-02-image {
    aspect-ratio: 3 / 2;
    object-fit: cover;
    flex-shrink: 0;
    width: auto;
    height: 60vh;
  }
}

@media screen and (min-width: 1440px) {
  .carousel-02-slide {
    aspect-ratio: auto;
    flex-shrink: 0;
    width: auto;
    height: auto;
    overflow: visible;
  }

  .carousel-02-image {
    aspect-ratio: 3 / 2;
    object-fit: cover;
    flex-shrink: 0;
    width: auto;
    height: 60vh;
  }
}

@media screen and (min-width: 1920px) {
  .carousel-02-slide {
    aspect-ratio: auto;
    flex-shrink: 0;
    width: auto;
    height: auto;
    overflow: visible;
  }

  .carousel-02-image {
    aspect-ratio: 3 / 2;
    object-fit: cover;
    flex-shrink: 0;
    width: auto;
    height: 60vh;
  }
}

@media screen and (max-width: 991px) {
  .header {
    width: 40vw;
  }

  .hero-image, .profile, .profile-copy, .contact-wrap, .name-wrap, .works-wrap, .swiper-explanaition {
    width: 40vw;
    height: 40vw;
  }

  .carousel-02-slide {
    aspect-ratio: auto;
    flex-shrink: 0;
    width: auto;
    height: auto;
    overflow: visible;
  }

  .carousel-02-image {
    aspect-ratio: 3 / 2;
    object-fit: cover;
    flex-shrink: 0;
    width: auto;
    height: 60vh;
  }
}

@media screen and (max-width: 767px) {
  .header {
    width: 60vw;
  }

  .hero-image, .profile, .profile-copy, .contact-wrap, .name-wrap, .works-wrap, .swiper-explanaition {
    width: 60vw;
    height: 60vw;
  }

  .panorama-05 {
    width: 100vw;
    height: 60vh;
    overflow: hidden;
  }

  .panorama-05-wrapper {
    flex-flow: row;
    width: 100%;
    height: 100%;
    display: flex;
    overflow: visible;
  }

  .panorama-05-slide {
    aspect-ratio: 9 / 16;
    flex-shrink: 0;
    width: auto;
    height: 100%;
  }

  .carousel-02-slide {
    aspect-ratio: auto;
    flex-shrink: 0;
    width: auto;
    height: auto;
    overflow: visible;
  }

  .carousel-02-image {
    aspect-ratio: 3 / 2;
    object-fit: cover;
    flex-shrink: 0;
    width: auto;
    height: 60vh;
  }
}

@media screen and (max-width: 479px) {
  .nav {
    display: flex;
  }

  .nav._01 {
    justify-content: flex-end;
    align-items: center;
    padding-top: 0;
    padding-bottom: 27vh;
    inset: 0% 0% auto;
  }

  .nav._05 {
    justify-content: flex-end;
    align-items: center;
    padding-top: 0;
    padding-bottom: 24vh;
    inset: 0% 0% auto;
  }

  .header {
    width: 70vw;
  }

  .image {
    height: 10px;
  }

  .nav-wrapper {
    padding-top: 0;
  }

  .hero-image, .profile, .profile-copy, .contact-wrap, .name-wrap {
    width: 70vw;
    height: 70vw;
  }

  .hero-shutter {
    order: 0;
    display: flex;
    overflow: hidden;
  }

  .works-wrap {
    width: 70vw;
    height: 70vw;
  }

  .work-style {
    font-size: 20px;
  }

  .text-block-2 {
    font-size: 14px;
  }

  .text-block-4, .text-block-5, .text-block-6, .text-block-7, .text-block-8 {
    font-weight: 300;
  }

  .swiper.swiper-panorama {
    align-items: center;
    height: 70vh;
    display: flex;
  }

  .swiper-wrapper {
    grid-column-gap: .8rem;
    grid-row-gap: .8rem;
  }

  .swipe-hero._05 {
    overflow: hidden;
  }

  .swiper-link, .swiper-link._05 {
    height: auto;
    padding-top: 10vh;
  }

  .swiper-explanaition {
    width: 70vw;
    height: auto;
  }

  .carousel-swiper {
    height: 40vh;
  }

  .carousel-swiper.swiper-panorama {
    align-items: center;
    height: 70vh;
    display: flex;
  }

  .carousel-wrapper {
    grid-column-gap: .8rem;
    grid-row-gap: .8rem;
  }

  .carousel-slide {
    width: 90%;
  }

  .carousel-text {
    font-size: 16px;
    line-height: 20px;
  }

  .panorama-05 {
    width: 100vw;
    height: 60vh;
    overflow: hidden;
  }

  .panorama-05-wrapper {
    flex-flow: row;
    width: 100%;
    height: 100%;
    display: flex;
    overflow: visible;
  }

  .panorama-05-slide {
    flex-shrink: 0;
    width: 50vw;
    height: 100%;
    overflow: hidden;
  }

  .panorama-05-image {
    aspect-ratio: 9 / 16;
    object-fit: cover;
    width: 100%;
    height: 100%;
  }

  .carousel-01-wrapper {
    display: flex;
  }

  .carousel-01-slide, .carousel-01-image {
    aspect-ratio: auto;
    object-fit: cover;
  }

  .carousel-03 {
    margin-bottom: 30vh;
  }

  .carousel-03-wrapper {
    display: flex;
  }

  .carousel-03-slide, .carousel-03-image {
    object-fit: cover;
  }

  .carousel-02 {
    width: 100vw;
    overflow: hidden;
  }

  .carousel-02-wrapper {
    flex-flow: row;
    display: flex;
  }

  .carousel-02-slide {
    aspect-ratio: 3 / 2;
    flex-shrink: 0;
    width: auto;
    height: auto;
    overflow: visible;
  }

  .carousel-02-image {
    aspect-ratio: 3 / 2;
    object-fit: cover;
    flex-shrink: 0;
    width: 90vw;
    max-width: none;
    height: 60vw;
  }
}


